You are not logged in.

#1 2022-01-23 11:37:19

dkadioglu
Member
Registered: 2019-12-11
Posts: 13

[SOLVED]Virtualbox 6.1.32 doesn't run: Error: Failed to acquire the...

Hi,

the upgrade to Virtualbox 6.1.32 doesn't work for me, as I get the following error message, whenever I start the VBox GUI or any VM:
Failed to acquire the VirtualBox COM object.
The application will now terminate.
The reason for this error are most likely wrong permissions of the IPC daemon socket due to an installation problem. Please check the permissions of '/tmp' and '/tmp/.vbox-*-ipc/'

What works is reverting back to 6.1.30. I have no clue what the culprit could be here. Any ideas? Anybody else having the same issue?

Thanks and best

Last edited by dkadioglu (2022-06-18 08:17:36)

Offline

#2 2022-02-15 05:38:12

modified_bessel
Member
Registered: 2016-05-10
Posts: 2

Re: [SOLVED]Virtualbox 6.1.32 doesn't run: Error: Failed to acquire the...

Same problem encountered here. Reversion to 6.1.30 works as indicated above. Starting 6.1.32 in console reports

Qt WARNING: QXcbConnection: XCB error: 3 (BadWindow), sequence: 5330, resource id: 10624048, major code: 40 (TranslateCoords), minor code: 0

Offline

#3 2022-04-06 16:53:36

dkadioglu
Member
Registered: 2019-12-11
Posts: 13

Re: [SOLVED]Virtualbox 6.1.32 doesn't run: Error: Failed to acquire the...

Hi again,

I still have this issue. Even with a recent developer build (6.1.97-150532) I get the same error. The only version which works is 6.1.30. Are modified_bessel and me the only ones suffering from this?
Is there any information we could provide to help investigating this? Anyone who could give us some tips, where to start investigating this?

Thanks and best

Offline

#4 2022-04-21 07:11:55

dkadioglu
Member
Registered: 2019-12-11
Posts: 13

Re: [SOLVED]Virtualbox 6.1.32 doesn't run: Error: Failed to acquire the...

Hi again,

with the new version 6.1.34 I am suffering from the same issue, I still get the same error message - the only current fix for me is a downgrade to 6.1.30.
I would be really thankful for any hints, where I could start to find the culprit.

Thanks and best

Offline

#5 2022-04-21 07:25:30

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 16,418

Re: [SOLVED]Virtualbox 6.1.32 doesn't run: Error: Failed to acquire the...

Follow for the new version https://bbs.archlinux.org/viewtopic.php?id=275797

Closing this.

Thanks for getting back to me , on checking this does seem to be a different problem. Reopening.

Last edited by V1del (2022-04-21 12:21:42)

Offline

#6 2022-04-22 14:40:19

dkadioglu
Member
Registered: 2019-12-11
Posts: 13

Re: [SOLVED]Virtualbox 6.1.32 doesn't run: Error: Failed to acquire the...

@V1del Thanks for reopening!

After updating to 6.1.34-2, still the same error message and Virtualbox doesn't start and is therefor not usable.

Offline

#7 2022-04-22 14:45:04

Scimmia
Fellow
Registered: 2012-09-01
Posts: 9,290

Re: [SOLVED]Virtualbox 6.1.32 doesn't run: Error: Failed to acquire the...

Did you check the permissions mentioned? Mount options for /tmp?

Offline

#8 2022-04-22 15:18:59

dkadioglu
Member
Registered: 2019-12-11
Posts: 13

Re: [SOLVED]Virtualbox 6.1.32 doesn't run: Error: Failed to acquire the...

Yes, I did.

Permissions of /tmp: drwxrwxrwt  33 root root  1060 22. Apr 16:48 tmp
Mount options of /tmp: tmpfs on /tmp type tmpfs (rw,nosuid,nodev,size=12179404k,nr_inodes=1048576,inode64)

The thing is, that the mentioned permissions and mount options work with 6.1.30 but not with 6.1.32 and 6.1.34 and 6.1.97-150532, where the last one is a dev build from Oracle. And I've never changed those permissions or mount options.
Even if I start Virtualbox as root, I get the same error message.

Offline

#9 2022-06-17 11:40:11

dkadioglu
Member
Registered: 2019-12-11
Posts: 13

Re: [SOLVED]Virtualbox 6.1.32 doesn't run: Error: Failed to acquire the...

FYI
According to https://forums.virtualbox.org/viewtopic … 94#p519394 this has something to do with the locales settings. de_DE.UTF.8, as set on my system, leads to the error, whereas overrding with LC_ALL=C leads to a successful run. VBox Devs are already looking into this, I think. If there is anything, which could be done on the distribution side, I don't know.

Offline

#10 2022-06-17 11:47:38

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 16,418

Re: [SOLVED]Virtualbox 6.1.32 doesn't run: Error: Failed to acquire the...

Your locale/lang is wrong it should be de_DE.UTF-8 note the minus sign as opposed to a dot for UTF-8, somewhat interesting that this appears to be your only fallout but this should definitely be a fix, also ensure you actually have uncommented and generated the appropriate locale in /etc/locale.gen

If you're sure your /etc/locale/.conf is correct also check some of the common potential DE pitfalls: https://wiki.archlinux.org/title/Locale … g_language

Last edited by V1del (2022-06-17 11:58:04)

Offline

#11 2022-06-17 12:01:19

dkadioglu
Member
Registered: 2019-12-11
Posts: 13

Re: [SOLVED]Virtualbox 6.1.32 doesn't run: Error: Failed to acquire the...

OMG! Indeed, correcting to de_DE.UTF-8 fixes this. I am not aware of, that I changed the locale settings since setting up my system in 2017. Surprising that I have not noticed this so far.
You absolutely made my day!
I will close this thread later the day, whem I am sure, that it's fixed now.

Offline

#12 2022-06-18 08:15:09

dkadioglu
Member
Registered: 2019-12-11
Posts: 13

Re: [SOLVED]Virtualbox 6.1.32 doesn't run: Error: Failed to acquire the...

I found out, that the culprit was that ~/.config/plasma-localerc contained de_DE.UTF.8 instead of de_DE.UTF-8. I don't know, where this comes from. After I corrected this and rebooted, Virtualbox runs perfectly again.
Maybe in some plasma version, there was a bug that the locale has been set with that typo!?
However, as it works now, I'll close this.

Offline

Board footer

Powered by FluxBB